# -*- coding: utf-8 -*-

from odoo import models, fields, api

class Partner(models.Model):
    _inherit = 'res.partner'

    it_customer_nr = fields.Char("Customer Nr.", index=True)
    it_customer_id = fields.Integer("Customer ID", index=True)
    it_name2 = fields.Char("Name 2")
    it_comment2 = fields.Text(string="Memo")

    _sql_constraints = [
        ('uniq_iteas_res_partner_customer_nr', 'unique(it_customer_nr)', "Customer Nr. already exists, please choose a new one!"),
    ]