# -*- coding: utf-8 -*-

from odoo import models, fields, api

class BaseDocumentLayout(models.TransientModel):
    _inherit = 'base.document.layout'

    # We need additional fields for our iteas report
    street = fields.Char(related='company_id.street', readonly=True)
    zip = fields.Char(related='company_id.zip', readonly=True)
    city = fields.Char(related='company_id.city', readonly=True)
    company_registry = fields.Char(related='company_id.company_registry', readonly=True)